package ch.unisg.executorhumidity.executor.adapter.out;

import ch.unisg.executorhumidity.executor.application.port.out.GetHumidityPort;
import org.eclipse.californium.core.CoapClient;
import org.eclipse.californium.elements.exception.ConnectorException;
import org.springframework.context.annotation.Primary;
import org.springframework.stereotype.Component;

import java.io.IOException;


@Component
@Primary
public class GetHumidityAdapter  implements GetHumidityPort {

    @Override
    public String getHumidity() {

        CoapClient client1 = new CoapClient("coap://130.82.171.10:5683/humidity");

        String result = null;
        try {
            result = client1.get().getResponseText();
        } catch (ConnectorException e) {
            e.printStackTrace();
        } catch (IOException e) {
            e.printStackTrace();
        }

        return result;
    }
}
